`timescale 1ns/1ps

module lo_3clkImp(out, clk, clrB, start);

    output out;
    input clk, clrB, start;

    reg [0:1] state, next;

    assign #6 out = state[0] | state[1];

    always @(posedge clk or negedge clrB)
    begin
	    if (!clrB) 
		    state <= 2'b00;		
	    else state<= next;
    end
   
    always @(state or start)
    begin
        case (state)
            2'b00: if (start==0) next = 2'b00;
                   else next = 2'b01;     
            2'b01: next = 2'b10;     
            2'b10: next = 2'b11;     
            2'b11: next = 2'b00;     
        endcase
    end
endmodule
