`timescale 1ns/1ps

`define CLK 50  //20 MHz         // clk period in ns 

module test_lo_3clkImpRep;

  reg clrB = 1;
  reg start = 0;
   
  reg clk = 0;
  always #((`CLK)/2.0) clk=~clk;

  initial begin
     $monitor("At time %t, clk = %b, start = %b, out = %b", $stime,
         clk, start, out);
     $dumpfile("vcd/lo_3clkImpRep-test.vcd");
     $dumpvars(0,test_lo_3clkImpRep);
     # (`CLK) clrB = 0;
     # (`CLK/2) clrB = 1;
  end
  initial begin
     # (`CLK*2+`CLK/2+5) start = 1;
     # (`CLK) start = 0;
     # (`CLK+1) start = 1;
     # (`CLK) start = 0;
     # (`CLK*5-2) start = 1;
     # (`CLK) start = 0;
     # (`CLK*5) $finish;
  end

  //always @(clk) begin 
  //    $strobe("At time %t, clk = %b, start = %b, out = %b", $stime, clk, start, out);
  //end

  wire out;
  lo_3clkImpRep testMod(out, clk, clrB, start);

endmodule // test_lo_3clkImpRep
